Bug 333965 - Plugin Manager for storing IMAP/SMTP passwords
Summary: Plugin Manager for storing IMAP/SMTP passwords
Status: RESOLVED FIXED
Alias: None
Product: trojita
Classification: Unclassified
Component: Ubuntu (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: trojita-ubuntu-bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-27 18:14 UTC by Dan Chapman
Modified: 2014-05-30 15:41 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Chapman 2014-04-27 18:14:38 UTC
To keep things similar to the desktop version we should implement a plugin selector in a General settings tab of the settings tabbed component  

This will provide the groundwork for creating plugins for Ubuntu's default password storage (Not sure there is one at this moment in time) as well as any password apps that get developed in the future.

Initially lets get it to work with the cleartext plugin and provide a warning to user that it is not encrypted. 

Reproducible: Always




See src/Gui/SettingsDialog to see how it's been done there
Comment 1 Dan Chapman 2014-05-30 15:41:32 UTC
Git commit 3e54d6c527ada1d4de2832cc618dd0e44e6e01b5 by Dan Chapman.
Committed on 28/05/2014 at 15:27.
Pushed by jkt into branch 'master'.

Ubuntu: Implements PasswordWatcher for imap access

Now uses the passwordWatcher. When authRequest signal is
received it either auto connects or if no password saved ask
user to enter password.

REVIEW: 118130
Related: bug 332987

Removed using an anonymous function to call a reloadPassword slot

M  +1    -1    CMakeLists.txt
M  +3    -0    src/Ubuntu/main.cpp
M  +21   -4    src/Ubuntu/qml/trojita/ImapSettings.qml
M  +10   -2    src/Ubuntu/qml/trojita/InfoDialog.qml
M  +48   -16   src/Ubuntu/qml/trojita/SettingsTabs.qml
M  +14   -2    src/Ubuntu/qml/trojita/main.qml

http://commits.kde.org/trojita/3e54d6c527ada1d4de2832cc618dd0e44e6e01b5